%define major 1
%define libname %mklibname kvkontakte %{major}
%define devname %mklibname kvkontakte -d

Summary:	Library for asynchronous interaction with vkontakte social network
Name:		libkvkontakte
Group:		System/Libraries
Version:	4.12.0
Release:	2
License:	LGPLv2.1+
Url:		https://projects.kde.org/projects/extragear/libs/libkvkontakte
Source0:	http://download.kde.org/stable/%{name}/%{version}/src/%{name}-%{version}.tar.xz
Patch0:		libkvkontakte-4.12.0-cmake.patch
BuildRequires:	kdelibs4-devel
BuildRequires:	pkgconfig(QJson)

%description
KDE C++ library for asynchronous interaction with vkontakte.ru social
network via its open API.

#----------------------------------------------------------------------------

%package i18n
Summary:	%{name} translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
%{name} translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	%{name} shared library
Group:		System/Libraries
Requires:	%{name}-i18n

%description -n %{libname}
KDE C++ library for asynchronous interaction with vkontakte.ru social
network via its open API.

%files -n %{libname}
%{_kde_libdir}/libkvkontakte.so.%{major}
%{_kde_libdir}/libkvkontakte.so.%{version}

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	%{name} developpement files
Group:		Development/KDE and Qt
Requires:	%{libname} = %{EVRD}
Provides:	libkvkontakte-devel = %{EVRD}
Provides:	kvkontakte-devel = %{EVRD}

%description -n %{devname}
This package contains libraries and headers files needed to develop
progams that need libkvkontakte.

%files -n %{devname}
%{_kde_includedir}/libkvkontakte/
%{_kde_libdir}/cmake/LibKVkontakte/
%{_kde_libdir}/libkvkontakte.so

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build

%find_lang %{name}

%changelog

* Sat May 07 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.12.0-2
- (c30dd94) Add patch to fix build with new cmake


